Loading...
Searching...
No Matches
halide_filter_metadata_t Struct Reference

`#include <HalideRuntime.h>`

## Public Attributes

int32_t | version
| version of this metadata; currently always 1.
int32_t | num_arguments
| The number of entries in the arguments field.
const struct halide_filter_argument_t * | arguments
| An array of the filters input and output arguments; this will never be null.
const char * | target
| The Target for which the filter was compiled.
const char * | name
| The function name of the filter.

## Detailed Description

Definition at line 1813 of file HalideRuntime.h.

## Member Data Documentation

## version

int32_t halide_filter_metadata_t::version

version of this metadata; currently always 1.

Definition at line 1819 of file HalideRuntime.h.

## num_arguments

int32_t halide_filter_metadata_t::num_arguments

The number of entries in the arguments field.

This is always >= 1.

Definition at line 1822 of file HalideRuntime.h.

## arguments

const struct halide_filter_argument_t* halide_filter_metadata_t::arguments

An array of the filters input and output arguments; this will never be null.

The order of arguments is not guaranteed (input and output arguments may come in any order); however, it is guaranteed that all arguments will have a unique name within a given filter.

Definition at line 1828 of file HalideRuntime.h.

## target

const char* halide_filter_metadata_t::target

The Target for which the filter was compiled.

This is always a canonical Target string (ie a product of Target::to_string).

Definition at line 1832 of file HalideRuntime.h.

## name

const char* halide_filter_metadata_t::name

The function name of the filter.

Definition at line 1835 of file HalideRuntime.h.

The documentation for this struct was generated from the following file:

- src/runtime/HalideRuntime.h